Runtime

## org.eclipse.gmf.runtime.diagram.ui.printing.render.util
Class RenderedDiagramPrinter

    java.lang.Object
      org.eclipse.gmf.runtime.diagram.ui.printing.internal.util.DiagramPrinter
          org.eclipse.gmf.runtime.diagram.ui.printing.render.util.RenderedDiagramPrinter

All Implemented Interfaces:
  java.lang.Runnable

public class RenderedDiagramPrinter
extends org.eclipse.gmf.runtime.diagram.ui.printing.internal.util.DiagramPrinter

A specialized `DiagramPrinter` that supports rendering of images.

Field Summary

Fields inherited from class org.eclipse.gmf.runtime.diagram.ui.printing.internal.util.DiagramPrinter
`diagrams, logicalClientArea, printer, printerOffset`

Constructor Summary
`RenderedDiagramPrinter(PreferencesHint preferencesHint)` Creates a new instance.
`RenderedDiagramPrinter(PreferencesHint preferencesHint, org.eclipse.gmf.runtime.draw2d.ui.mapmode.IMapMode mm)` Creates a new instance.

Method Summary
`protected org.eclipse.gmf.runtime.draw2d.ui.internal.graphics.MapModeGraphics` `createMapModeGraphics(Graphics theGraphics)` Creates the `MapModeGraphics`.
`protected org.eclipse.gmf.runtime.draw2d.ui.internal.graphics.PrinterGraphics` `createPrinterGraphics(Graphics theGraphics)` Creates the `PrinterGraphics`.

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.printing.internal.util.DiagramPrinter
`adjustMargins, drawHeaderAndFooter, drawPage, getMapMode, getPreferencesHint, getPrinterOffset, printToPages, printToScale, run, setColumns, setDiagrams, setDisplayDPI, setFitToPage, setPrinter, setPrintRangePages, setPrintRangePageSelection, setRows, setScaledPercent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RenderedDiagramPrinter

    public RenderedDiagramPrinter(PreferencesHint preferencesHint,
                                  org.eclipse.gmf.runtime.draw2d.ui.mapmode.IMapMode mm)

  Creates a new instance.

Parameters:
  `preferencesHint` -
  `mm` - `IMapMode` to do the coordinate mapping

### RenderedDiagramPrinter

    public RenderedDiagramPrinter(PreferencesHint preferencesHint)

  Creates a new instance.

Parameters:
  `preferencesHint` -

Method Detail

### createMapModeGraphics

    protected org.eclipse.gmf.runtime.draw2d.ui.internal.graphics.MapModeGraphics createMapModeGraphics(Graphics theGraphics)

  Description copied from class: `org.eclipse.gmf.runtime.diagram.ui.printing.internal.util.DiagramPrinter`
  Creates the `MapModeGraphics`.

  Parameters:
    `theGraphics` - the `PrinterGraphics` object
  Returns:
    the new `MapModeGraphics`

### createPrinterGraphics

    protected org.eclipse.gmf.runtime.draw2d.ui.internal.graphics.PrinterGraphics createPrinterGraphics(Graphics theGraphics)

  Description copied from class: `org.eclipse.gmf.runtime.diagram.ui.printing.internal.util.DiagramPrinter`
  Creates the `PrinterGraphics`.

  Parameters:
    `theGraphics` - the `Graphics` object
  Returns:
    the new `PrinterGraphics`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.